export function LoadingSpinner({ className, viewBox, fill }) {
	return (
		<svg className={className} viewBox={viewBox}>
			<g fill={fill}>
				<path
					d='M 9.72 17.82 C 14.1934 17.82 17.82 14.1934 17.82 9.72 H 15.39 C 15.39 12.8515 12.8515 15.39 9.72 15.39 V 17.82 Z M 1.62 9.72 C 1.62 5.2464 5.2464 1.62 9.72 1.62 V 4.05 C 6.5885 4.05 4.05 6.5885 4.05 9.72 H 1.62 Z'
				/>
			</g>
		</svg>
	)
}

export function MagnifyingGlass({ className, viewBox, fill }) {
	return (
		<svg className={className} viewBox={viewBox} >
			<path
				d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
				fill={fill}
			/>
		</svg>
	)
}

export function Burger({ className, viewBox, fill }) {
	return (
		<svg
			className={className}
			viewBox={viewBox}
			fill={fill}
		>
			<path d="M0 3h20v2H0V3zm0 6h20v2H0V9zm0 6h20v2H0v-2z" />
		</svg>
	)
}

export function Facebook({ className = 'w-6 h-6', viewBox = '0 0 24 24', fill = 'currentColor' }) {
	return (
		<svg className={className} viewBox={viewBox} fill={fill} >
			<path 
				clipRule="evenodd"
				fillRule="evenodd" 
				d="M22 12c0-5.523-4.477-10-10-10S2 6.477 2 12c0 4.991 3.657 9.128 8.438 9.878v-6.987h-2.54V12h2.54V9.797c0-2.506 1.492-3.89 3.777-3.89 1.094 0 2.238.195 2.238.195v2.46h-1.26c-1.243 0-1.63.771-1.63 1.562V12h2.773l-.443 2.89h-2.33v6.988C18.343 21.128 22 16.991 22 12z" 
			/>
		</svg>
	)
}

export function Instagram({ className = 'w-6 h-6', viewBox = '0 0 24 24', fill = 'currentColor' }) {
	return (
		<svg className={className} viewBox={viewBox} fill={fill} >
			<path 
				clipRule="evenodd"
				fillRule="evenodd" 
				d="M12.315 2c2.43 0 2.784.013 3.808.06 1.064.049 1.791.218 2.427.465a4.902 4.902 0 011.772 1.153 4.902 4.902 0 011.153 1.772c.247.636.416 1.363.465 2.427.048 1.067.06 1.407.06 4.123v.08c0 2.643-.012 2.987-.06 4.043-.049 1.064-.218 1.791-.465 2.427a4.902 4.902 0 01-1.153 1.772 4.902 4.902 0 01-1.772 1.153c-.636.247-1.363.416-2.427.465-1.067.048-1.407.06-4.123.06h-.08c-2.643 0-2.987-.012-4.043-.06-1.064-.049-1.791-.218-2.427-.465a4.902 4.902 0 01-1.772-1.153 4.902 4.902 0 01-1.153-1.772c-.247-.636-.416-1.363-.465-2.427-.047-1.024-.06-1.379-.06-3.808v-.63c0-2.43.013-2.784.06-3.808.049-1.064.218-1.791.465-2.427a4.902 4.902 0 011.153-1.772A4.902 4.902 0 015.45 2.525c.636-.247 1.363-.416 2.427-.465C8.901 2.013 9.256 2 11.685 2h.63zm-.081 1.802h-.468c-2.456 0-2.784.011-3.807.058-.975.045-1.504.207-1.857.344-.467.182-.8.398-1.15.748-.35.35-.566.683-.748 1.15-.137.353-.3.882-.344 1.857-.047 1.023-.058 1.351-.058 3.807v.468c0 2.456.011 2.784.058 3.807.045.975.207 1.504.344 1.857.182.466.399.8.748 1.15.35.35.683.566 1.15.748.353.137.882.3 1.857.344 1.054.048 1.37.058 4.041.058h.08c2.597 0 2.917-.01 3.96-.058.976-.045 1.505-.207 1.858-.344.466-.182.8-.398 1.15-.748.35-.35.566-.683.748-1.15.137-.353.3-.882.344-1.857.048-1.055.058-1.37.058-4.041v-.08c0-2.597-.01-2.917-.058-3.96-.045-.976-.207-1.505-.344-1.858a3.097 3.097 0 00-.748-1.15 3.098 3.098 0 00-1.15-.748c-.353-.137-.882-.3-1.857-.344-1.023-.047-1.351-.058-3.807-.058zM12 6.865a5.135 5.135 0 110 10.27 5.135 5.135 0 010-10.27zm0 1.802a3.333 3.333 0 100 6.666 3.333 3.333 0 000-6.666zm5.338-3.205a1.2 1.2 0 110 2.4 1.2 1.2 0 010-2.4z"
			/>
		</svg>
	)
}

export function Twitter({ className = 'w-6 h-6', viewBox = '0 0 24 24', fill = 'currentColor' }) {
	return (
		<svg className={className} viewBox={viewBox} fill={fill} >
			<path 
				clipRule="evenodd"
				fillRule="evenodd" 
				d="M8.29 20.251c7.547 0 11.675-6.253 11.675-11.675 0-.178 0-.355-.012-.53A8.348 8.348 0 0022 5.92a8.19 8.19 0 01-2.357.646 4.118 4.118 0 001.804-2.27 8.224 8.224 0 01-2.605.996 4.107 4.107 0 00-6.993 3.743 11.65 11.65 0 01-8.457-4.287 4.106 4.106 0 001.27 5.477A4.072 4.072 0 012.8 9.713v.052a4.105 4.105 0 003.292 4.022 4.095 4.095 0 01-1.853.07 4.108 4.108 0 003.834 2.85A8.233 8.233 0 012 18.407a11.616 11.616 0 006.29 1.84"
			/>
		</svg>
	)
}

export function Github({ className = 'w-6 h-6', viewBox = '0 0 24 24', fill = 'currentColor' }) {
	return (
		<svg className={className} viewBox={viewBox} fill={fill} >
			<path 
				clipRule="evenodd"
				fillRule="evenodd" 
				d="M12 2C6.477 2 2 6.484 2 12.017c0 4.425 2.865 8.18 6.839 9.504.5.092.682-.217.682-.483 0-.237-.008-.868-.013-1.703-2.782.605-3.369-1.343-3.369-1.343-.454-1.158-1.11-1.466-1.11-1.466-.908-.62.069-.608.069-.608 1.003.07 1.531 1.032 1.531 1.032.892 1.53 2.341 1.088 2.91.832.092-.647.35-1.088.636-1.338-2.22-.253-4.555-1.113-4.555-4.951 0-1.093.39-1.988 1.029-2.688-.103-.253-.446-1.272.098-2.65 0 0 .84-.27 2.75 1.026A9.564 9.564 0 0112 6.844c.85.004 1.705.115 2.504.337 1.909-1.296 2.747-1.027 2.747-1.027.546 1.379.202 2.398.1 2.651.64.7 1.028 1.595 1.028 2.688 0 3.848-2.339 4.695-4.566 4.943.359.309.678.92.678 1.855 0 1.338-.012 2.419-.012 2.747 0 .268.18.58.688.482A10.019 10.019 0 0022 12.017C22 6.484 17.522 2 12 2z"
			/>
		</svg>
	)
}

export function Dribble({ className = 'w-6 h-6', viewBox = '0 0 24 24', fill = 'currentColor' }) {
	return (
		<svg className={className} viewBox={viewBox} fill={fill} >
			<path 
				clipRule="evenodd"
				fillRule="evenodd" 
				d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10c5.51 0 10-4.48 10-10S17.51 2 12 2zm6.605 4.61a8.502 8.502 0 011.93 5.314c-.281-.054-3.101-.629-5.943-.271-.065-.141-.12-.293-.184-.445a25.416 25.416 0 00-.564-1.236c3.145-1.28 4.577-3.124 4.761-3.362zM12 3.475c2.17 0 4.154.813 5.662 2.148-.152.216-1.443 1.941-4.48 3.08-1.399-2.57-2.95-4.675-3.189-5A8.687 8.687 0 0112 3.475zm-3.633.803a53.896 53.896 0 013.167 4.935c-3.992 1.063-7.517 1.04-7.896 1.04a8.581 8.581 0 014.729-5.975zM3.453 12.01v-.26c.37.01 4.512.065 8.775-1.215.25.477.477.965.694 1.453-.109.033-.228.065-.336.098-4.404 1.42-6.747 5.303-6.942 5.629a8.522 8.522 0 01-2.19-5.705zM12 20.547a8.482 8.482 0 01-5.239-1.8c.152-.315 1.888-3.656 6.703-5.337.022-.01.033-.01.054-.022a35.318 35.318 0 011.823 6.475 8.4 8.4 0 01-3.341.684zm4.761-1.465c-.086-.52-.542-3.015-1.659-6.084 2.679-.423 5.022.271 5.314.369a8.468 8.468 0 01-3.655 5.715z"
			/>
		</svg>
	)
}

export function LeftArrow({ className = 'w-7 h-7', viewBox = '0 0 6 6', fill = 'none', stroke='white' }) {
	return (
		<svg className={className} viewBox={viewBox} fill={fill}>
			<path 
				strokeLinejoin="round" 
				strokeLinecap="round" 
				stroke={stroke}
				d="M 1 1 L 3 3 L 1 5" 
			/>
		</svg>
	)
}

export function CalendarA({ className = 'w-7 h-7', viewBox='0 0 24 24', fill = 'none', stroke='white' }) {
	return (
		<svg className={className} viewBox={viewBox} fill={fill}>
			<g stroke={stroke} strokeLinecap="round" strokeWidth="2">
				<path 
					d=" M 20 10 V 7 a 2 2 0 0 0 -2 -2 H 6 a 2 2 0 0 0 -2 2 v 3 m 16 0 v 9 a 2 2 0 0 1 -2 2 H 6 a 2 2 0 0 1 -2 -2 v -9 m 16 0 H 4 m 4 -7 v 4 m 8 -4 v 4 M 8 14 h 8 M 8 17 h 3 " 
				/>
			</g>
		</svg>
	)
}

export function ClockA({ className = 'w-7 h-7', viewBox='0 0 24 24', fill = 'none', stroke='white' }) {
	return (
		<svg className={className} viewBox={viewBox} fill={fill}>
			<g stroke={stroke} strokeLinecap="round" strokeLinejoin="round" strokeWidth="2">
				<path d="M11.9 5.9v6l.1.1 2.1 2.1" />
				<circle cx="12" cy="12" r="10" data-name="Circle" />
			</g>
		</svg>
	)
}

export function LocationA({ className = 'w-7 h-7', viewBox='0 0 100 100', fill = 'none', stroke='white' }) {
	/*
	 * This icon is part of a larger collection:
	 * By Pavel Kryutsou in CC AttributionLicense via https://www.svgrepo.com/
	 * Vectors and icons by https://dribbble.com/paulpatap?ref=svgrepo.com 
	 */
	return (
		<svg className={className} viewBox={viewBox} fill={fill} stroke={stroke}>
			<path d="M78.34 44.83a9.45 9.45 0 0 0 .15-1.61 9.26 9.26 0 1 0-18.51 0 9.45 9.45 0 0 0 .15 1.61 9.75 9.75 0 0 0-3.67 7.43c0 5.12 4.38 9.4 10.19 10.39v11.41H52.09V22.11a1.82 1.82 0 0 0-1.83-1.83H24.68a1.82 1.82 0 0 0-1.83 1.83v52H18v5.66h59.38v-5.71h-5.57V62.65C77.63 61.66 82 57.38 82 52.26a9.77 9.77 0 0 0-3.66-7.43ZM40.12 28.57a1.09 1.09 0 0 1 1.09-1.09h4.3a1.09 1.09 0 0 1 1.09 1.09v4.3A1.09 1.09 0 0 1 45.51 34h-4.3a1.09 1.09 0 0 1-1.09-1.09Zm0 10.67a1.09 1.09 0 0 1 1.09-1.09h4.3a1.09 1.09 0 0 1 1.09 1.09v4.3a1.09 1.09 0 0 1-1.09 1.09h-4.3a1.09 1.09 0 0 1-1.09-1.09Zm0 10.67a1.09 1.09 0 0 1 1.09-1.1h4.3a1.09 1.09 0 0 1 1.09 1.1v4.29a1.09 1.09 0 0 1-1.09 1.1h-4.3a1.09 1.09 0 0 1-1.09-1.1Zm0 10.66a1.09 1.09 0 0 1 1.09-1.09h4.3a1.09 1.09 0 0 1 1.09 1.09v4.3A1.09 1.09 0 0 1 45.51 66h-4.3a1.09 1.09 0 0 1-1.09-1.09Zm-11.78-32a1.09 1.09 0 0 1 1.09-1.09h4.3a1.09 1.09 0 0 1 1.09 1.09v4.3A1.09 1.09 0 0 1 33.73 34h-4.3a1.09 1.09 0 0 1-1.09-1.09Zm0 10.67a1.09 1.09 0 0 1 1.09-1.09h4.3a1.09 1.09 0 0 1 1.09 1.09v4.3a1.09 1.09 0 0 1-1.09 1.09h-4.3a1.09 1.09 0 0 1-1.09-1.09Zm0 10.67a1.09 1.09 0 0 1 1.09-1.1h4.3a1.09 1.09 0 0 1 1.09 1.1v4.29a1.09 1.09 0 0 1-1.09 1.1h-4.3a1.09 1.09 0 0 1-1.09-1.1Zm0 10.66a1.09 1.09 0 0 1 1.09-1.09h4.3a1.09 1.09 0 0 1 1.09 1.09v4.3A1.09 1.09 0 0 1 33.73 66h-4.3a1.09 1.09 0 0 1-1.09-1.09Z" />
		</svg>
	)
}

export function PavelKryutsouCC() {
	return (
		<>
			<p>Este ícono es parte de una collección:</p>
			<p>Vectors and icons by Pavel Kryutsou in CC Attribution </p>
			<p>License via https://www.svgrepo.com/author/Pavel Kryutsou/</p>
		</>
	)
}
